Bug 550139 - Review Request: pino - A fast, easy and free Twitter client
Summary: Review Request: pino - A fast, easy and free Twitter client
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Christoph Wickert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2009-12-23 17:49 UTC by Allisson Azevedo
Modified: 2010-01-14 01:24 UTC (History)
4 users (show)

(edit)
Clone Of:
(edit)
Last Closed: 2010-01-14 01:24:47 UTC
cwickert: fedora-review+
tibbs: fedora-cvs+


Attachments (Terms of Use)

Description Allisson Azevedo 2009-12-23 17:49:18 UTC
Spec URL: http://allisson.fedorapeople.org/packages/pino/pino.spec
SRPM URL: http://allisson.fedorapeople.org/packages/pino/pino-0.1.0-0.1.rc2.fc12.src.rpm

Description: A fast, easy and free Twitter client

Comment 1 Fabian Affolter 2009-12-23 23:08:36 UTC
Just some quick comments on your spec file.

- You need to add 'hicolor-icon-theme' as a requirement to avoid issues with the ownership of the %{_datadir}/icons/hicolor directory
- Please follow the guidelines for the installation of the .desktop file
  https://fedoraproject.org/wiki/Packaging:Guidelines#Desktop_files
- Can you please take a look at your BRs .  Isn't gettext needed by intltool and didn't libgee-devel pulls in libgee.

The rpmlint output

[fab@localhost i686]$ rpmlint pino*
pino-debuginfo.i686: E: debuginfo-without-sources
2 packages and 0 specfiles checked; 1 errors, 0 warnings.

Comment 2 Allisson Azevedo 2009-12-28 17:21:02 UTC
Update package:

Spec URL: http://allisson.fedorapeople.org/packages/pino/pino.spec
SRPM URL:
http://allisson.fedorapeople.org/packages/pino/pino-0.1.0-0.2.rc3.fc12.src.rpm

Changes:

- Update to 0.1.0rc3
- Fix BR
- Added desktop file validate for pino.desktop

Comment 3 Allisson Azevedo 2009-12-29 17:01:15 UTC
Update package:

Spec URL: http://allisson.fedorapeople.org/packages/pino/pino.spec
SRPM URL:
http://allisson.fedorapeople.org/packages/pino/pino-0.1.0-1.fc12.src.rpm

Changes:

- Update to 0.1.0

Comment 4 Christoph Wickert 2010-01-03 02:10:06 UTC
(In reply to comment #1)
> - You need to add 'hicolor-icon-theme' as a requirement to avoid issues with
> the ownership of the %{_datadir}/icons/hicolor directory

Requiring hicolor-icon-theme is not strictly needed because gtk2 already requires it. It is however recommended.

> - Can you please take a look at your BRs .  Isn't gettext needed by intltool

not on older releases such as EPEL, so I suggest to leave it in.

> The rpmlint output
> 
> [fab@localhost i686]$ rpmlint pino*
> pino-debuginfo.i686: E: debuginfo-without-sources

This one is fixed in with the new package.

(In reply to comment #3)
> - Update to 0.1.0  

Please update to 0.1.1 and then I will review the package. Some more comments:

- Timestamps of both the spec and the source are one year in the future. Please take care of the timestamps, see 
https://fedoraproject.org/wiki/Packaging/Guidelines#Timestamps

- (Try to) Use Fedoras waf instead of the included version to build the package.

- %description should be more detailed and end with a dot.

- Don't hardcode /usr in --prefix=/usr. Use the %{_prefix} macro instead, see
http://fedoraproject.org/wiki/Packaging:RPMMacros

- You could use a few more wildcards: Instead of

%{_datadir}/icons/hicolor/scalable/actions/mentions.svg
%{_datadir}/icons/hicolor/scalable/actions/timeline.svg
%{_datadir}/icons/hicolor/scalable/apps/pino.svg
%{_datadir}/icons/hicolor/scalable/apps/pino_fresh.svg

use

%{_datadir}/icons/hicolor/scalable/*/*.svg

But this is minor and up to you. The rest looks fine, package works as described. Looking forward to see it in Fedora.

Comment 5 Allisson Azevedo 2010-01-04 03:40:22 UTC
Update package:

Spec URL: http://allisson.fedorapeople.org/packages/pino/pino.spec
SRPM URL:
http://allisson.fedorapeople.org/packages/pino/pino-0.1.1-1.fc12.src.rpm

Changes:

- Update to 0.1.1
- Using waf as BR
- Updated description
- Using rpmmacros in build section

Comment 6 Christoph Wickert 2010-01-04 13:10:07 UTC
OK - MUST: $ rpmlint /var/lib/mock/fedora-rawhide-x86_64/result/pino-*
3 packages and 0 specfiles checked; 0 errors, 0 warnings.
OK - MUST: named according to the Package Naming Guidelines
OK - MUST: spec file name matches the base package %{name}
FIX - MUST: package meets the Packaging Guidelines
OK - MUST: Fedora approved license and meets the Licensing Guidelines (GPLv3+)
OK - MUST: License field in spec file matches the actual license
OK - MUST: license file included in %doc
OK - MUST: spec is in American English
OK - MUST: spec is legible
OK - MUST: sources match the upstream source by MD5 005215400dcd00844558fbbe9b30fc46
OK - MUST: successfully compiles and builds into binary rpms on x86_64
N/A - MUST: If the package does not successfully compile, build or work on an architecture, then those architectures should be listed in the spec in ExcludeArch.
OK - MUST: all build dependencies are listed in BuildRequires.
OK - MUST: handles locales properly with %find_lang
N/A - MUST: Every binary RPM package (or subpackage) which stores shared library files (not just symlinks) in any of the dynamic linker's default paths, must call ldconfig in %post and %postun.
N/A - MUST: If the package is designed to be relocatable, the packager must state this fact in the request for review.
OK - MUST: owns all directories that it creates
OK - MUST: no duplicate files in the %files listing
OK - MUST: Permissions on files are set properly, includes %defattr(...)
OK - MUST: package has a %clean section, which contains rm -rf $RPM_BUILD_ROOT.
FIX - MUST: consistently uses macros: %{buildroot} vs. $RPM_BUILD_ROOT
OK - MUST: package contains code, or permissable content
N/A - MUST: Large documentation files should go in a -doc subpackage
OK - MUST: Files included as %doc do not affect the runtime of the application
N/A - MUST: Header files must be in a -devel package
N/A - MUST: Static libraries must be in a -static package
N/A - MUST: Packages containing pkgconfig(.pc) files must 'Requires: pkgconfig'.
N/A - MUST: If a package contains library files with a suffix, then library files that end in .so must go in a -devel package.
N/A - MUST: devel packages must require the base package using a fully versioned dependency
OK - MUST: The package does not contain any .la libtool archives.
OK - MUST: The package contains a GUI application and includes a %{name}.desktop file, and that file is properly validated with desktop-file-validate in the %install section.
OK - MUST: package does not own files or directories already owned by other packages.
OK - MUST: at the beginning of %install, the package runs rm -rf $RPM_BUILD_ROOT.
OK - MUST: all filenames valid UTF-8


SHOULD Items:
OK - SHOULD: Source package includes license text(s) as a separate file.
N/A - SHOULD: The description and summary sections in the package spec file should contain translations for supported Non-English languages, if available.
OK - SHOULD: builds in mock.
OK - SHOULD: compiles and builds into binary rpms on all supported architectures.
OK - SHOULD: functions as described.
OK - SHOULD: Scriptlets are sane.
N/A - SHOULD: Usually, subpackages other than devel should require the base package using a fully versioned dependency.
N/A - SHOULD: pkgconfig(.pc) files should be placed in a -devel pkg
N/A - SHOULD: If the package has file dependencies outside of /etc, /bin, /sbin, /usr/bin, or /usr/sbin consider requiring the package which provides the file instead of the file itself.


Other items:
OK - latest stable version
OK - SourceURL valid
OK - Compiler flags ok
OK - Debuginfo complete
OK - docs complete


Issues:
- The timestamp of Source0 still doesn't match SourceURL. Please use a download manager that preserves timestamps, see 
https://fedoraproject.org/wiki/Packaging/Guidelines#Timestamps

- Build is not verbose, please use "waf build -v"

- You are not using parallel make, see
https://fedoraproject.org/wiki/Packaging/Guidelines#Parallel_make

- your macro usage is not consistent. You are using both $RPM_BUILD_ROOT and %{buildroot}. Please only use one.

Comment 7 Christoph Wickert 2010-01-10 15:02:00 UTC
We are almost done, the 4 issues are easy to fix. Please do this when you update to 0.1.2 (just released) and then I'd like to have a final glance at the package before I approve it.

Comment 8 Allisson Azevedo 2010-01-11 12:19:52 UTC
Update package:

Spec URL: http://allisson.fedorapeople.org/packages/pino/pino.spec
SRPM URL:
http://allisson.fedorapeople.org/packages/pino/pino-0.1.2-1.fc12.src.rpm

Changes:

- Update to 0.1.2
- Fixed macro consistency
- Changed Waf build to use verbose mode
- Fixed timestamp for Source0
- Use Parallel make for build

Comment 9 Christoph Wickert 2010-01-11 12:56:33 UTC
OK, mdsum or Source0 is now e1418a1ee48c754a1c7ac76ad205f571 and matches. All other items are fixed too. The package is APPROVED.

Good job!

Comment 10 Allisson Azevedo 2010-01-11 13:28:25 UTC
New Package CVS Request
=======================
Package Name: pino
Short Description: A fast, easy and free Twitter client
Owners: allisson
Branches: F-11 F-12

Comment 11 Jason Tibbitts 2010-01-12 06:19:19 UTC
CVS done (by process-cvs-requests.py)

Comment 12 Fedora Update System 2010-01-14 01:24:43 UTC
pino-0.1.2-1.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.